Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.document
Class DocumentData

    java.lang.Object
      org.jboss.seam.document.DocumentData

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ByteArrayDocumentData

    public abstract class DocumentData

extends Object
implements Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `DocumentData.DocumentType`

Constructor Summary
`DocumentData(String baseName, DocumentData.DocumentType documentType)`

Method Summary
`String` | `getBaseName()`
`String` | `getDisposition()`
`DocumentData.DocumentType` | `getDocumentType()`
`String` | `getFileName()`
`void` | `setDisposition(String disposition)`
`void` | `setFilename(String fileName)`
`abstract void` | `writeDataToStream(OutputStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentData

    public DocumentData(String baseName,
                        DocumentData.DocumentType documentType)

Method Detail

### writeDataToStream

    public abstract void writeDataToStream(OutputStream stream)
                                    throws IOException

  Throws:
    `IOException`

### getDocumentType

    public DocumentData.DocumentType getDocumentType()

### getBaseName

    public String getBaseName()

### setFilename

    public void setFilename(String fileName)

### getFileName

    public String getFileName()

### setDisposition

    public void setDisposition(String disposition)

### getDisposition

    public String getDisposition()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.